Index: src/Fragmentation/Exporters/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Exporters/unittests/Makefile.am	(revision 09806af7c430c059fd0504fee221f5f8ec4ef155)
+++ src/Fragmentation/Exporters/unittests/Makefile.am	(revision e9e86f755ec91600316ac1b266d68b3244700842)
@@ -22,9 +22,10 @@
 
 FRAGMENTATIONEXPORTERSLIBS = \
+	libUnitTest.la \
 	../libMolecuilderFragmentation.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
 
-HydrogenPoolUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+HydrogenPoolUnitTest_SOURCES = \
 	../Fragmentation/Exporters/unittests/HydrogenPoolUnitTest.cpp \
 	../Fragmentation/Exporters/unittests/HydrogenPoolUnitTest.hpp
@@ -33,5 +34,5 @@
 	${FRAGMENTATIONEXPORTERSLIBS}
 	
-SaturatedFragmentUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+SaturatedFragmentUnitTest_SOURCES = \
 	../Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.cpp \
 	../Fragmentation/Exporters/unittests/SaturatedFragmentUnitTest.hpp
@@ -41,5 +42,5 @@
 	${FRAGMENTATIONEXPORTERSLIBS}
 
-SaturationDistanceMaximizerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+SaturationDistanceMaximizerUnitTest_SOURCES = \
 	../Fragmentation/Exporters/unittests/SaturationDistanceMaximizerUnitTest.cpp \
 	../Fragmentation/Exporters/unittests/SaturationDistanceMaximizerUnitTest.hpp \
Index: src/Fragmentation/Homology/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Homology/unittests/Makefile.am	(revision 09806af7c430c059fd0504fee221f5f8ec4ef155)
+++ src/Fragmentation/Homology/unittests/Makefile.am	(revision e9e86f755ec91600316ac1b266d68b3244700842)
@@ -25,4 +25,5 @@
 
 FRAGMENTATIONHOMOLOGYLIBS = \
+	libUnitTest.la \
 	../libMolecuilderFragmentationSetValues.la \
 	../libMolecuilderFragmentation.la \
@@ -33,15 +34,15 @@
 	$(BOOST_LIB)
 
-FragmentEdgeUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+FragmentEdgeUnitTest_SOURCES = \
 	../Fragmentation/Homology/unittests/FragmentEdgeUnitTest.cpp \
 	../Fragmentation/Homology/unittests/FragmentEdgeUnitTest.hpp
 FragmentEdgeUnitTest_LDADD = ${FRAGMENTATIONHOMOLOGYLIBS}
 
-FragmentNodeUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+FragmentNodeUnitTest_SOURCES = \
 	../Fragmentation/Homology/unittests/FragmentNodeUnitTest.cpp \
 	../Fragmentation/Homology/unittests/FragmentNodeUnitTest.hpp
 FragmentNodeUnitTest_LDADD = ${FRAGMENTATIONHOMOLOGYLIBS}
 	
-HomologyContainerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+HomologyContainerUnitTest_SOURCES = \
 	../Fragmentation/Homology/unittests/HomologyContainerUnitTest.cpp \
 	../Fragmentation/Homology/unittests/HomologyContainerUnitTest.hpp \
@@ -54,5 +55,5 @@
 	$(BOOST_LIB)
 
-HomologyGraphUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+HomologyGraphUnitTest_SOURCES = \
 	../Fragmentation/Homology/unittests/HomologyGraphUnitTest.cpp \
 	../Fragmentation/Homology/unittests/HomologyGraphUnitTest.hpp
Index: src/Fragmentation/Summation/Containers/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Summation/Containers/unittests/Makefile.am	(revision 09806af7c430c059fd0504fee221f5f8ec4ef155)
+++ src/Fragmentation/Summation/Containers/unittests/Makefile.am	(revision e9e86f755ec91600316ac1b266d68b3244700842)
@@ -17,4 +17,5 @@
 
 FRAGMENTATIONCONTAINERLIBS = \
+  libUnitTest.la \
   ../libMolecuilderFragmentationSummation.la \
   $(BOOST_SERIALIZATION_LDFLAGS) $(BOOST_SERIALIZATION_LIBS) \
@@ -25,5 +26,5 @@
 MPQCDataUnitTest_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
 MPQCDataUnitTest_CPPFLAGS = $(AM_CPPFLAGS) ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
-MPQCDataUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+MPQCDataUnitTest_SOURCES = \
   ../Fragmentation/Summation/Containers/unittests/MPQCDataUnitTest.cpp \
   ../Fragmentation/Summation/Containers/unittests/MPQCDataUnitTest.hpp
Index: src/Fragmentation/Summation/SetValues/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Summation/SetValues/unittests/Makefile.am	(revision 09806af7c430c059fd0504fee221f5f8ec4ef155)
+++ src/Fragmentation/Summation/SetValues/unittests/Makefile.am	(revision e9e86f755ec91600316ac1b266d68b3244700842)
@@ -31,9 +31,10 @@
 
 FRAGMENTATIONSETVALUESLIBS = \
+	libUnitTest.la \
 	../libMolecuilderFragmentationSetValues.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
 
-EigenvaluesUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+EigenvaluesUnitTest_SOURCES = \
 	../Fragmentation/Summation/SetValues/unittests/EigenvaluesUnitTest.cpp \
 	../Fragmentation/Summation/SetValues/unittests/EigenvaluesUnitTest.hpp
@@ -42,5 +43,5 @@
 	$(BOOST_SERIALIZATION_LDFLAGS) $(BOOST_SERIALIZATION_LIBS)
 
-FragmentUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+FragmentUnitTest_SOURCES = \
 	../Fragmentation/Summation/SetValues/unittests/FragmentUnitTest.cpp \
 	../Fragmentation/Summation/SetValues/unittests/FragmentUnitTest.hpp
@@ -49,20 +50,20 @@
 	$(BOOST_SERIALIZATION_LDFLAGS) $(BOOST_SERIALIZATION_LIBS)
 
-HistogramUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+HistogramUnitTest_SOURCES = \
 	../Fragmentation/Summation/SetValues/unittests/HistogramUnitTest.cpp \
 	../Fragmentation/Summation/SetValues/unittests/HistogramUnitTest.hpp
 HistogramUnitTest_LDADD = ${FRAGMENTATIONSETVALUESLIBS}
 
-IndexedVectorsUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+IndexedVectorsUnitTest_SOURCES = \
 	../Fragmentation/Summation/SetValues/unittests/IndexedVectorsUnitTest.cpp \
 	../Fragmentation/Summation/SetValues/unittests/IndexedVectorsUnitTest.hpp
 IndexedVectorsUnitTest_LDADD = ${FRAGMENTATIONSETVALUESLIBS}
 
-SamplingGridPropertiesUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+SamplingGridPropertiesUnitTest_SOURCES = \
 	../Fragmentation/Summation/SetValues/unittests/SamplingGridPropertiesUnitTest.cpp \
 	../Fragmentation/Summation/SetValues/unittests/SamplingGridPropertiesUnitTest.hpp
 SamplingGridPropertiesUnitTest_LDADD = ${FRAGMENTATIONSETVALUESLIBS}
 
-SamplingGridUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+SamplingGridUnitTest_SOURCES = \
 	../Fragmentation/Summation/SetValues/unittests/SamplingGridUnitTest.cpp \
 	../Fragmentation/Summation/SetValues/unittests/SamplingGridUnitTest.hpp
Index: src/Fragmentation/Summation/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Summation/unittests/Makefile.am	(revision 09806af7c430c059fd0504fee221f5f8ec4ef155)
+++ src/Fragmentation/Summation/unittests/Makefile.am	(revision e9e86f755ec91600316ac1b266d68b3244700842)
@@ -34,4 +34,5 @@
 
 FRAGMENTATIONSUMMATIONLIBS = \
+	libUnitTest.la \
 	../libMolecuilderFragmentationSummation.la \
 	${CodePatterns_LIBS} \
@@ -39,10 +40,10 @@
 
 
-IndexSetUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+IndexSetUnitTest_SOURCES = \
 	../Fragmentation/Summation/unittests/IndexSetUnitTest.cpp \
 	../Fragmentation/Summation/unittests/IndexSetUnitTest.hpp
 IndexSetUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
-IndexSetContainerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+IndexSetContainerUnitTest_SOURCES = \
 	../Fragmentation/Summation/unittests/IndexSetContainerUnitTest.cpp \
 	../Fragmentation/Summation/unittests/IndexSetContainerUnitTest.hpp
@@ -53,5 +54,5 @@
 	${FRAGMENTATIONSUMMATIONLIBS}
 
-OrthogonalSummationUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+OrthogonalSummationUnitTest_SOURCES = \
 	../Fragmentation/Summation/unittests/OrthogonalSummationUnitTest.cpp \
 	../Fragmentation/Summation/unittests/OrthogonalSummationUnitTest.hpp \
@@ -60,5 +61,5 @@
 OrthogonalSummationUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
-SetValueUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+SetValueUnitTest_SOURCES = \
 	../Fragmentation/Summation/unittests/SetValueUnitTest.cpp \
 	../Fragmentation/Summation/unittests/SetValueUnitTest.hpp \
@@ -67,15 +68,15 @@
 SetValueUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
-SetValueMapUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+SetValueMapUnitTest_SOURCES = \
 	../Fragmentation/Summation/unittests/SetValueMapUnitTest.cpp \
 	../Fragmentation/Summation/unittests/SetValueMapUnitTest.hpp
 SetValueMapUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
-SubsetMapUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+SubsetMapUnitTest_SOURCES = \
 	../Fragmentation/Summation/unittests/SubsetMapUnitTest.cpp \
 	../Fragmentation/Summation/unittests/SubsetMapUnitTest.hpp
 SubsetMapUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
-SummationUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+SummationUnitTest_SOURCES = \
 	../Fragmentation/Summation/unittests/SummationUnitTest.cpp \
 	../Fragmentation/Summation/unittests/SummationUnitTest.hpp \
Index: src/Fragmentation/unittests/Makefile.am
===================================================================
--- src/Fragmentation/unittests/Makefile.am	(revision 09806af7c430c059fd0504fee221f5f8ec4ef155)
+++ src/Fragmentation/unittests/Makefile.am	(revision e9e86f755ec91600316ac1b266d68b3244700842)
@@ -19,4 +19,5 @@
 
 FRAGMENTATIONLIBS = \
+	libUnitTest.la \
 	../libMolecuilderFragmentation.la \
 	../libMolecuilderFragmentation_KeysetsContainer.la \
@@ -26,10 +27,10 @@
 
 
-KeySetsContainerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+KeySetsContainerUnitTest_SOURCES = \
 	../Fragmentation/unittests/KeySetsContainerUnitTest.cpp \
 	../Fragmentation/unittests/KeySetsContainerUnitTest.hpp
 KeySetsContainerUnitTest_LDADD = ${FRAGMENTATIONLIBS}
 
-MatrixContainerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+MatrixContainerUnitTest_SOURCES = \
 	../Fragmentation/unittests/MatrixContainerUnitTest.cpp \
 	../Fragmentation/unittests/MatrixContainerUnitTest.hpp
